#container header {
    width: 20%;
    background: #F9F9F9;
    position: fixed;
    bottom: 0px;
    top: 0px;
}

#container nav {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 40px 33px;
    gap: 56px;
}

#container main {
    width: 80%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 50px;
    background: white;
    box-shadow: 0px 10px 25px #f5f5f5;
    padding-bottom: 5%;
    position: fixed;
    left: 20%;
    overflow-y: scroll;
    bottom: 0px;
    top: 0px;
}

#container nav .logo {
    width: auto;
}

#container nav .logo img {
    height: 40px;
}


#container nav .main_links {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 38px;
}

#container nav .each_link {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 0px;
    gap: 15px;
}

#container nav .each_link img {
    height: 25.15px;
}

#container nav .each_link span {
    font-weight: 500;
    font-size: 18px;
    line-height: 18px;
    color: #8A8B9F;
    padding-top: 5px
}

#container nav .active span {
    color: #4E36FC;
}

#container nav .arrow_button p {
    padding-right: 0px;
}


#nav_icon {
    display: none;
    cursor: pointer;
    position: absolute; 
    top: 30px;
    right: 15px
}


#nav_icon .close {
    display: none
}


#title {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 45px 5px 0px 80px;
    gap: 200px;
}

#title .welcome {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 15px;
}

#title .welcome p {
    font-weight: 700;
    font-size: 32px;
    line-height: 32px;
    color: #666666;
}

#title .line {
    width: 115px;
    height: 2px;
    background: rgba(254, 114, 57, 0.5);
}

#title .date {
    font-weight: 700;
    font-size: 20px;
    line-height: 20px;
    border-bottom: 1px solid #999;
    padding-bottom: 2px;
    color: #999999;

}

#title .calendar {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    padding: 0px;
    gap: 20px;
}

#title .calendar > div {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 5px;
}


#title .calendar .caption {
    font-weight: 700;
    font-size: 16px;
    line-height: 18px;
    color: #000000;
}

#title .calendar .active_date {
    font-weight: 700;
    font-size: 20px;
    line-height: 20px;
    padding-bottom: 2px;
    border-bottom: 2px solid #999;
    color: #999999;
}

#title .calendar a {
    padding-bottom: 2px;
    border-bottom: 1px solid #2320DB;
    font-weight: 700;
    font-size: 13px;
    line-height: 13px;
}


.search button {
    padding: 0px;
    background: #BCF6FA;
    border: 0.2px solid #75d2d8;
    box-shadow: 0px 10px 25px #EEEEEE;
}

.search form {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0px;
    margin: 0px;
    gap: 10px;
}

.search button img {
    height: 30px
}

.search {
    flex: 1;
}

#title {
    gap: 100px;
    width: -webkit-fill-available;
    margin-right: 50px
}


.arrow_button {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    padding: 0px;
    gap: 10px;    
}

.arrow_button p {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 5px;
    font-weight: 700;
    font-size: 10.8309px;
    line-height: 13px;
    color: #000000;
    border-bottom: 2px solid #000;
    padding-bottom: 5px;
    padding-right: 30px
}

.arrow_button button  {
    padding: 3px 10px;
    box-shadow: 0px 10px 25px #ddd;
    margin: 0px;
    margin-bottom: 2px;
    background: #2320DB
}

.green_button button {
    background: #BCF6FA
}


form {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-start;
    padding: 30px 50px;
    margin: 10px 0px;
    background: white;
}

form button .button_line {
    height: 2px;
    width: 30px;
    background: #FFFFFF;
    margin: 0px 15px;
    display: inline-block;
}

form .fields {
    /* Auto layout */

    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px -20px;
    flex-flow: row wrap;
    margin: 20px 0p;
    background: #FFFFFF
}

form .fields .each_field {
    margin-right: 5px;
    flex: 1 0 25%;
    /* display: flex;
    flex-direction: column;
    align-items: flex-start; */
    padding: 10px 0px;
}

form label {
    font-weight: 500;
    font-size: 14px;
    line-height: 14px;
    color: #000000;
    margin-top: 20px;
    display: block;
}

form input, form select {
    border: 0px;
    border-bottom: 2px solid #000;
    padding: 10px 0px 5px 0px;
    font-weight: 500;
    font-size: 24px;
    width: 80%;
}

form .date_field input {
    width: 160px;
    font-size: 16px;
}

form .title {
    font-weight: 700;
    font-size: 20px;
    line-height: 25px;
    color: #000000;
}

form div.checkbox {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
    margin-top: 15px;
}


form div.checkbox input {
    order: 1;
    width: initial;
    cursor: pointer;
}

form div.checkbox label {
    order: 2;
    margin-top: 3px;
}

form .full_field {
    flex: 1 0 80% !important;
}

form .error {
    color: #814614;
    margin-top: 20px;
    line-height: 20px;
}
/* Define css class for global loading message to cover 
   screen during axios operations */

.loading-indicator:before {
    height: 2.5px;
    width: 100%;
    position: fixed;
    top: 0px;
    left:0px;
    right: 0px;
    overflow: hidden;
    background-color: #ccc;
    z-index: 20;
    content: ""
}

.loading-indicator:after {
  display: block;
  position: fixed;
  content: "";
  left: -200px;
  top: 0px;
  width: 200px;
  height: 2.5px;
  background: #2320DB;;
  animation: ajaxload 1s linear infinite;
  -webkit-animation: ajaxload 1s linear infinite;
  z-index: 21;
}


@keyframes ajaxload {
    from {left: -200px; width: 30%;}
    50% {width: 30%;}
    70% {width: 70%;}
    80% { left: 50%;}
    95% {left: 120%;}
    to {left: 100%;}
}

@-webkit-keyframes ajaxload {
    from {left: -200px; width: 30%;}
    50% {width: 30%;}
    70% {width: 70%;}
    80% { left: 50%;}
    95% {left: 120%;}
    to {left: 100%;}
}

* {
    padding: 0px;
    margin: 0px;
    font-family: 'Inter', Arial, Helvetica, sans-serif;
    text-decoration: none;
}


button {
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 2px 20px;
    background: #2320DB;
    box-shadow: 0px 5px 25px 10px #CCCCCC;
    margin: 20px 0px;
    color: #fff;
    border: 0px;
    font-style: normal;
    font-weight: 700;
    cursor: pointer;
    transition: all 0.5s
}

button span {
    text-align: left
}

button .button_line {
    height: 2px;
    width: 30px;
    background: #FFFFFF;
    margin: 0px 15px;
    display: inline-block;
}

button:hover {
    box-shadow: 0px 0px 10px #666
}

*::placeholder {
    color: #ccc
}

a {
    cursor: pointer;
    color: #2320DB
}

.flex {
    display: flex
}

.padding20 {
    padding: 20px
}

.logout {
    position: absolute;
    bottom: 30px;
}

.logout img {
    background: #ddd;
}
.table {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px 80px 0px 80px;
    gap: 10px;
    width: -webkit-fill-available
}

.table .row {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 10px 5px 10px 0px;
    gap: 20px;
    width: -webkit-fill-available;
    border-bottom: 1px solid #eee;
}

.table .row p {
    font-weight: 500;
    font-size: 14px;
    line-height: 18px;
    word-break: break-word;
}

.table .heading {
    color: #888888;
    border-top: 1px solid #eee
}

.table .row > * {
    flex: 1
}

.table .row > *:first-child {
    flex: 2
}

.table .total > p {
    font-weight: 700;
}

.table .leader p {
    margin-bottom: 3px;
}

.table .leader a {
    display: inline-block;
    margin-left: 5px;
    text-decoration-line: underline;
    color: #666666;
    font-size: 12px;
    line-height: 18px;
}


.table .leader span {
    color: #444
}



.table .growth {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 2px 0px 5px;
    font-weight: 500;
    font-size: 13px;
    line-height: 13px;
    color: #35F376;
}

.table .positive_growth span {
    margin-top: 5px;
}

.table .negative_growth {
    color: #F33562;
    padding: 0px;
}

.table .positive_growth span {
    margin-top: 5px;
}

.table .average {
    display: flex;
    align-items: center;
    gap: 8px
}


/* Big tabs and below */
@media only screen and (max-width: 768px) {

    #container header {
        width: auto;
        position: static;
        background: #fff;
        border-bottom: 1px solid #eee;
    }
    

    #container main {
        width: auto;
        position: static;
        gap: 0px
    }

    #container nav {
        padding: 15px 30px;
        gap: 30px;
    }

    #nav_icon {
        display: block;
        top: 20px !Important;
    }

    
    #container nav .main_links {
        display: none;
    }

    #container nav .logo img {
        height: 30px;
    }

    #title {
        margin-right: 0px;
        padding: 30px;
        flex-direction: column;
        gap: 20px;
        align-items: flex-start;
    }

    #title .calendar > div {
        margin-bottom: 20px;
    }

    #title .calendar {
        display: block;
        flex-direction: column;
        width: -webkit-fill-available;
    }
    
/* 
    form .fields {
        display: block;
    } */

    
    form {
        padding: 30px;
    }

    .table {
        padding: 30px
    }


    .table .row {
        min-width: 600px;
    }

    
    .logout {
        position: static;
        bottom: 30px;
    }

    
}